BimpДовідка

Повернення коштів покупцю: методи API Bimp

Методи API Bimp для ресурсу «Повернення коштів покупцю» (/org2/refundToCustomer/…): 4 методи. Базова адреса: https://app.bimpsoft.com. Усі запити, крім входу, передають токен компанії в заголовку access-token — див. Початок роботи з API.

МетодЩо робить
POST /org2/refundToCustomer/api-readListA request to get a detailed list of refund to customer documents
POST /org2/refundToCustomer/api-readA request to get detailed information about a single refund to customer document
POST /org2/refundToCustomer/api-createA request to create a new refund to customer document
POST /org2/refundToCustomer/api-updateA request to update an existing refund to customer document

api-readList

POST /org2/refundToCustomer/api-readList

A request to get a detailed list of refund to customer documents

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
paginationobjectтак
pagination.offsetnumberтакBegin from {offset} elements
pagination.countnumberтакLimit of paginated elemets
namestringFilter by document name or comment (fuzzy search)
periodobject[] | null
entryStatusnumber (0) | number (1)
responsiblesstring (uuid)[]
customersstring (uuid)[]
organizationsstring (uuid)[]
includeArchivedbooleanInclude archived documents
amountobject[]Amount range [min, max]

Відповідь: поле data

ПолеТипОпис
totalnumberTotal number of documents
rowsobject[]
rows[].uuidstring (uuid)
rows[].numberstring
rows[].datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
rows[].namestring
rows[].commentstringAn optional text field for any additional notes or comments related to the document
rows[].customerstring (uuid)
rows[].organizationstring (uuid)
rows[].statusstring (uuid)
rows[].authorstring (uuid)
rows[].currencystring (uuid)
rows[].documentSumnumber
rows[].projectobject
rows[].project.uuidstring (uuid)
rows[].project.namestring
curl -X POST 'https://app.bimpsoft.com/org2/refundToCustomer/api-readList' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'

api-read

POST /org2/refundToCustomer/api-read

A request to get detailed information about a single refund to customer document

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)такA unique uuid key for a refund to customer document

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
numberstring
namestring
commentstringAn optional text field for any additional notes or comments related to the document
customerstring (uuid)
organizationstring (uuid)
statusstring (uuid)
authorstring (uuid)
currencystring (uuid)
documentSumnumber
paymentEntitystring (uuid)
expenseItemstring (uuid)
projectobject | null
paymentDetailsobject[]
paymentDetails[].invoicestring (uuid)
paymentDetails[].refundSumnumber
curl -X POST 'https://app.bimpsoft.com/org2/refundToCustomer/api-read' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-create

POST /org2/refundToCustomer/api-create

A request to create a new refund to customer document

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)A unique uuid key for a refund to customer document
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
namestringDocument name
statusstring (uuid)
expenseItemstring (uuid)такExpense item uuid
customerstring (uuid)такA unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request
projectstring (uuid) | null
organizationstring (uuid)такA unique identifier for the Organization, obtainable from the /organization/api-readList request
paymentEntitystring (uuid)такThe unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
authorstring (uuid)такA unique identifier for the Author, obtainable from the /user/api-readList request
commentstringAn optional text field for any additional notes or comments related to the document
documentSumnumberTotal amount of the refund document
paymentDetailsobject[]такArray of payment details used to calculate refund sum
paymentDetails[].invoicestring (uuid)такA unique uuid key for a Buyer’s order (‘Invoice for customer payment’ in system)
paymentDetails[].refundSumnumberтакRefund amount for this invoice

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)
numberstringDocument number
curl -X POST 'https://app.bimpsoft.com/org2/refundToCustomer/api-create' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"expenseItem":"00000000-0000-0000-0000-000000000000","customer":"00000000-0000-0000-0000-000000000000","organization":"00000000-0000-0000-0000-000000000000","paymentEntity":"00000000-0000-0000-0000-000000000000","author":"00000000-0000-0000-0000-000000000000","paymentDetails":[{}]}'

api-update

POST /org2/refundToCustomer/api-update

A request to update an existing refund to customer document

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)A unique uuid key for a refund to customer document
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
namestringDocument name
statusstring (uuid)
expenseItemstring (uuid)Expense item uuid
customerstring (uuid)A unique identifier for a counterparty of type ‘isCustomer’.You can retrieve this UUID using the /counterparty/api-readList request
projectstring (uuid) | null
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
paymentEntitystring (uuid)The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
authorstring (uuid)A unique identifier for the Author, obtainable from the /user/api-readList request
commentstringAn optional text field for any additional notes or comments related to the document
documentSumnumberTotal amount of the refund document
paymentDetailsobject[]Array of payment details used to calculate refund sum
paymentDetails[].invoicestring (uuid)такA unique uuid key for a Buyer’s order (‘Invoice for customer payment’ in system)
paymentDetails[].refundSumnumberтакRefund amount for this invoice

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)
numberstringDocument number
curl -X POST 'https://app.bimpsoft.com/org2/refundToCustomer/api-update' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000","date":"string","name":"string","status":"00000000-0000-0000-0000-000000000000"}'

Інтерактивна документація з можливістю надіслати тестовий запит: https://app.bimpsoft.com/docs. Специфікація OpenAPI оновлюється разом із Bimp; ця сторінка згенерована з неї автоматично.